jQuery(document).ready(function($) {
    // Flags to find the start and ending of loading
    var sflag = false;
    var endflag = false;
    var selector = '#shop-products';

    // On scroll check.
    $(window).scroll(function() {
        if( $(selector).length > 0 ) {
            var hT = $(selector).offset().top,
                hH = $(selector).outerHeight(),
                wH = $(window).height(),
                wS = $(this).scrollTop();

            // If reached to the specific id.
            if (wS > (hT+hH-wH)){
                if (!sflag && !endflag) {

                    sflag = true;

                    // Get next page link
                    var next_href = jQuery('.woocommerce-pagination .next.page-numbers').attr('href');

                    if (top != "undefined") {

                        $( '<section>' ).load( next_href + ' #shop-products', function() {
                            var content = $(this).find('ul.products li.product');
                            var paginationcontent = $(this).find("nav.woocommerce-pagination");

                            $(content).insertAfter('ul.products li.product:last');
                            $('nav.woocommerce-pagination').replaceWith( paginationcontent );
                            
                            // If the next link is the last, change endflag to true.
                            var next_href = jQuery('.woocommerce-pagination .next.page-numbers').attr('href');
                            if (typeof( next_href ) == "undefined") {
                                endflag = true;
                                $('.fa.fa-spinner.fa-spin.woo-loader').css({"display":"none"});
                            }
                            sflag = false;
                        });
                    } else {
                        $('.fa.fa-spinner.fa-spin.woo-loader').css({"display":"none"});
                    }
                }
            }
        }
    });

});