<?php
/**
 * Template Name: About Us Template                                            
 * The template for displaying portfolio pages.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Yummy Pro 1.0
 */

get_header(); 
$options = yummy_pro_get_theme_options(); ?>

<section id="about-us" class="page-section no-padding-bottom bg-white">
    <div class="wrapper">
        <?php 
        if ( have_posts() ) :
            /* Start the Loop */
            while ( have_posts() ) : the_post();
                the_content();
            endwhile;
        endif;
        /*
        * @hooked yummy_pro_about_us_main_slider
        */
        do_action( 'yummy_pro_about_us_template_main_slider' ); ?>    
    </div><!-- .wrapper -->
    <div class="gradient-bg" style="background-image:url( '<?php echo get_template_directory_uri() . '/assets/uploads/gray-gradient.jpg'; ?>' )"></div>
    <div class="page-decoration">
        <img src="<?php echo get_template_directory_uri() . '/assets/uploads/dish-01.png'; ?>" alt="<?php esc_attr_e( 'Decoration','yummy-pro' ); ?>">
        <img src="<?php echo get_template_directory_uri() . '/assets/uploads/dish-02.png'; ?>" alt="<?php esc_attr_e( 'Decoration','yummy-pro' ); ?>">
    </div><!-- .page-decoration -->
</section><!-- #about-us -->
<?php 
    /*
    * @hooked yummy_pro_about_us_our_team
    */   
    do_action( 'yummy_pro_about_us_template_our_team_slider' );
    
    /*
    * @hooked yummy_pro_about_us_interior_decoration
    */  
    do_action( 'yummy_pro_about_us_template_interior_decoration' ); 

get_footer();
